%define	name e_modules
%define	version 0.0.1
%define	svn r69188
%define rel 3
%if %svn
#define release %mkrel -c %svn %rel
%define release %mkrel 1.%svn.%rel
%else
%define release %mkrel %rel
%endif

Summary: 	Loose collection of third party E17 modules
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Epoch:		1
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://get-e.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	%name-%version.tar.bz2
%endif
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 1.0.999-0.%svn
BuildRequires:	ecore-devel >= 1.0.999-0.%svn
BuildRequires:	edje-devel >= 1.0.999-0.%svn, edje >= 1.0.999-0.%svn
BuildRequires:	efreet-devel >= 1.0.999-0.%svn
BuildRequires:	e-devel >= 0.16.999.%svn
BuildRequires:  embryo-devel >= 1.0.999-0.%svn, embryo >= 1.0.999-0.%svn
BuildRequires:	e_dbus-devel >= 1.0.999-0.%svn
BuildRequires:	exalt-devel >= 0.6
BuildRequires:	elementary-devel >= 0.8.0-0.%svn
BuildRequires:	eweather-devel >= 0.2.0-1.%svn
BuildRequires:	ethumb-devel >= 0.1.1.%svn
BuildRequires:	emprint >= 0.1.0-2.%svn
Buildrequires:	gettext-devel
Buildrequires:  libxkbfile-devel
Buildrequires:	imagemagick
Buildrequires:  libxcomposite-devel
BuildRequires:	libmpd-devel
Conflicts:	e < 0.16.999.68658-0.r69188.3
Requires:	e >= 0.16.999.68658-0.%svn
Requires:	emprint >= 0.1.0-2.%svn

%description
e_modules is a loose collection of third party E17 modules written by
various authors.  They are not officially a part of E17, but they are
allowed to use the E cvs repository.  The modules are all separate
modules, written by separate authors.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif
# exalt-client does not build now (20091214)
#rm -fr exalt-client
rm -rf itask-ng
rm -rf itask
rm -rf winlist-ng

%build
rm -fr debian
%define Werror_cflags %nil

for i in `find * -type d|awk -F'/' '{print $1}'|sort|uniq`
do
(
	pushd $i
	%if %svn
	LC_ALL=C NOCONFIGURE=1 ./autogen.sh
	%endif
	%configure2_5x --disable-static
	make
	popd
)
done

%install
rm -rf $RPM_BUILD_ROOT
for i in `find * -type d|awk -F'/' '{print $1}'|sort|uniq`
do 
	%makeinstall_std -C $i
done

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --all-name

# provided by e >= 0.16.999.050
rm -fr %buildroot%{_libdir}/enlightenment/modules/mixer

# do not provide devel stuffs
rm -fr %buildroot%_includedir/drawer %buildroot%_libdir/pkgconfig

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/eenvaders
%{_libdir}/enlightenment/modules/*
%{_libdir}/edje/modules/eenvaders
%{_datadir}/enlightenment/data/backgrounds/eenvaders.edj


%changelog

* Wed May 02 2012 trem <trem> 1:0.0.1-1.r69188.3.mga2
+ Revision: 234542
- update conflict to fix upgrade between mga1 and mga2 (#5721)

* Sun Mar 11 2012 trem <trem> 1:0.0.1-1.r69188.2.mga2
+ Revision: 222707
- fix requires on e

* Sat Mar 10 2012 trem <trem> 1:0.0.1-1.r69165.2.mga2
+ Revision: 222520
- use 68658 as e version for requires
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1:0.0.1-1.r68658.2.mga2
+ Revision: 218019
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1:0.0.1-1.r68649.2.mga2
+ Revision: 217570
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1:0.0.1-1.r68450.2.mga2
+ Revision: 215237
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1:0.0.1-1.r68434.2.mga2
+ Revision: 214448
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1:0.0.1-1.r68363.2.mga2
+ Revision: 213997
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1:0.0.1-1.r68228.2.mga2
+ Revision: 212100
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1:0.0.1-1.r68120.2.mga2
+ Revision: 210816
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1:0.0.1-1.r68102.2.mga2
+ Revision: 210264
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1:0.0.1-1.r67851.2.mga2
+ Revision: 207567
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1:0.0.1-1.r67846.2.mga2
+ Revision: 207280
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1:0.0.1-1.r67830.2.mga2
+ Revision: 206989
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1:0.0.1-1.r67715.2.mga2
+ Revision: 206021
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 1:0.0.1-1.r65867.2.mga2
+ Revision: 176115
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1:0.0.1-1.r65688.2.mga2
+ Revision: 174261
- update to release 65688
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1:0.0.1-1.r65428.2.mga2
+ Revision: 169878
- remove useless patch e_modules-0.0.1-20101229-po.patch
- update to release 65428
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1:0.0.1-1.r65269.2.mga2
+ Revision: 168221
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1:0.0.1-1.r65129.2.mga2
+ Revision: 167183
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1:0.0.1-1.r65056.2.mga2
+ Revision: 166613
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1:0.0.1-1.r64753.2.mga2
+ Revision: 163348
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1:0.0.1-1.r64603.2.mga2
+ Revision: 160834
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1:0.0.1-1.r64579.2.mga2
+ Revision: 160623
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1:0.0.1-1.r64519.2.mga2
+ Revision: 160071
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1:0.0.1-1.r64511.2.mga2
+ Revision: 159836
- update to r64511
- update to r64501
- update to r64414
- use release-version on e17 br package (instead of just version)

* Wed Oct 26 2011 fwang <fwang> 1:0.0.1-1.r64328.2.mga2
+ Revision: 158147
- drop all .la files

* Mon Oct 24 2011 trem <trem> 1:0.0.1-1.r64328.1.mga2
+ Revision: 157824
- use svn release (instead of stable release)
- spec cleaning

* Tue Apr 19 2011 ennael <ennael> 1:0.0.1-0.20101229.1.mga1
+ Revision: 88013
- imported package e_modules


* Mon Jan 03 2011 Crispin Boylan <crisb@mandriva.org> 1:0.0.1-0.20101229.1mdv2011.0
+ Revision: 627878
- New tarball release

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1:0.0.1-0.20091213.1mdv2010.1
+ Revision: 478424
- new snapshot

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 1:0.0.1-0.20090808.1mdv2010.0
+ Revision: 411853
- new snapshot
- rebuild

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 1:0.0.1-0.20090525.1mdv2010.0
+ Revision: 379503
- New snapshot

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 1:0.0.1-0.20090227.2mdv2009.1
+ Revision: 348772
- rebuild against exalt

* Tue Mar 03 2009 Antoine Ginies <aginies@mandriva.com> 1:0.0.1-0.20090227.1mdv2009.1
+ Revision: 347687
- fix exalt-devel buildrequires
- add builrequires, patch to fix e_util_dialog
- remove patch0
- add exalt-devel buildrequires
- fix tarball name
- update buildrequires
- new SVN snapshot 20090227, fix buildrequires version

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 1:0.0.1-0.20080306.3mdv2009.1
+ Revision: 293990
- add conflicts to ease upgrade

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 1:0.0.1-0.20080306.2mdv2009.1
+ Revision: 293952
- fix conflicts with e

* Thu Mar 06 2008 Antoine Ginies <aginies@mandriva.com> 1:0.0.1-0.20080306.1mdv2008.1
+ Revision: 180815
- use %%name-%%cvs as tarball name
- fix %%setup error
- fix etk-devl buildrequires
- update tarball
- new snapshot
- update e_modules release
- restore buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 1:0.0.1-0.20080202.1mdv2008.1
+ Revision: 161825
- new checkout

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Antoine Ginies <aginies@mandriva.com>
    - CVS Snapshot 10071031

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.1.0-1mdv2008.0
+ Revision: 76859
- fix xkbfile-devel buildrequires
- CVS snapshot 07/08/31, release 0.1.0
- increase release

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-2mdv2008.0
+ Revision: 33146
- fix exml buildrequires
- adjust e-devel and exml-devel buildrequires
- update description, CVS snapshot 20070530

* Sun May 27 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1-1mdv2008.0
+ Revision: 31772
- remove missing NEWS and COPYING file
- add xcomposite1-devel buildrequires
- add efreet-devel buildrequires
- add ImageMagick buildrequires
- add a buildrequire
- adjust .lang
- adjust spec file
- add gettext-devel and cvs buildrequires
- CVS snapshot 20070526
- Import e_modules



* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20051124.1mdk
- new cvs checkout

* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20051109.1mdk
- new cvs checkout

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.1-0.20050904.2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050904.1mdk
- new cvs checkout

* Wed Aug 17 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050627.1mdk
- new cvs checkout

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050608.1mdk
- new cvs checkout

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050511.2mdk
- don't own modules_extra

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.0.1-0.20050511.1mdk
- initial package
